## gnutls28 3.2.3

=== debian/changelog ===
gnutls28 (3.2.3-1ubuntu1) saucy; urgency=low

  * Sync with Debian (LP: #1068029). Remaining change:
    - Drop gnutls-bin and -doc since we want to use the versions
      in gnutls26 as the defaults instead

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 30 Jul 2013 21:40:07 -0400

gnutls28 (3.2.3-1) unstable; urgency=low

  * New upstream release.
  * Drop superfluous patches. (35_gnutls-priority-string.diff
    36_avoid-leaking-a-buffer-element.diff)
  * Bump shlibs.

 -- Andreas Metzler <ametzler@debian.org>  Tue, 30 Jul 2013 19:45:28 +0200

gnutls28 (3.2.2-2) unstable; urgency=low

  * Pull two patches from upstream:
    +35_gnutls-priority-string.diff Fix priority string parsing broken in
     3.2.2 Closes: #717314
    +36_avoid-leaking-a-buffer-element.diff 

 -- Andreas Metzler <ametzler@debian.org>  Sun, 21 Jul 2013 18:08:42 +0200

gnutls28 (3.2.2-1) unstable; urgency=low

  * Mark libgnutls28-dev Multi-Arch: same. (Thanks, Nicolas Le Cam)
    Closes: #678070
  * New upstream version.
  * Drop superfluous patches. 31_testsuite32bit.diff 32_linkagainstgmp.diff
  * Bump shlibs.

 -- Andreas Metzler <ametzler@debian.org>  Mon, 15 Jul 2013 11:41:50 +0200

gnutls28 (3.2.1-2) unstable; urgency=low

  * Upload to unstable.
  * Do not link everything against nettle on mips(el), the issue being worked
    around was fixed by the latest eglibc upload.
  * Use debhelper v9 mode. This allows us to mark libgnutls28-dbg Multi-Arch:
    same.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 23 Jun 2013 16:55:09 +0200

gnutls28 (3.2.1-1) experimental; urgency=low

  * New upstream version.
    + Bump nettle build-dep to >= 2.7.
    + Bump shlibs.
    + Disable 20_test-select.diff instead of ufuzzing the patch. - Let's check
      whether it still fails on kfreebsd-i386.
    + [31_testsuite32bit.diff] Avoid comparing the expiration date to prevent
      false positive error in 32-bit systems.
    + [32_linkagainstgmp.diff] Link libgnutls against gmp.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 09 Jun 2013 20:08:29 +0200

gnutls28 (3.1.12-2) unstable; urgency=low

  * Upload to unstable.
  * Fix vcs-field-not-canonical lintian error by using anonscm instead of
    svn.debian.org.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 08 Jun 2013 14:41:39 +0200

gnutls28 (3.1.12-1) experimental; urgency=low

  * Use rm -f on clean, fixing an issue with building twice in row.
  * New upstream version.
  * On mips/mipsel link everything and the kitchen-sink against nettle to work
    around toolchain breakage ("crt1.o: undefined reference to symbol '_gp'").

 -- Andreas Metzler <ametzler@debian.org>  Sun, 02 Jun 2013 07:58:55 +0200

gnutls28 (3.1.11-1) experimental; urgency=low

  * New upstream version.
    + Bump shlibs.

 -- Andreas Metzler <ametzler@debian.org>  Fri, 10 May 2013 16:39:17 +0200

gnutls28 (3.1.10-1) experimental; urgency=low

  * New upstream version.
  * Bump shlibs.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 23 Mar 2013 16:21:30 +0100

gnutls28 (3.1.9.1-1) experimental; urgency=low

  * New upstream version.
  * Bump shlibs.
  * Force re-generation of autogen-ed manpages.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 03 Mar 2013 17:06:05 +0100

gnutls28 (3.1.8-1) experimental; urgency=low

  * New upstream version.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 10 Feb 2013 13:35:32 +0100

gnutls28 (3.1.7-1) experimental; urgency=low

  * Let libgnutls28 depend on libtasn1-6 instead of on libtasn1-3, matching
    the build-depency. (Thanks, Daniel Kahn Gillmor)
  * New upstream version.
    + Includes a fix for GNUTLS-SA-2013-1 TLS CBC padding timing attack.
      CVE-2013-0169 CVE-2013-1619.
    + New symbols added, bump shlibs.
    + Ship newly available libgnutls-xssl0 library in a separate package.
  * Disable Heart Beat (RFC6520) support.

 -- Andreas Metzler <ametzler@debian.org>  Tue, 05 Feb 2013 14:58:31 +0100

gnutls28 (3.1.6-1) experimental; urgency=low

  * Update watchfile, based on Bart Martens version for gnutls26 on 
    q.d.o, but use a) ftp.gnutls.org as mirror and b) limit the the match to
    3.x versions.
  * New upstream version.
    + requires libtasn1 >= 3.1, bump build-depends.
    + requires a a newer version of autogen, bump build-depends.
    + update debian/copyright to reflect the fact that GnuTLS authors have
      stopped assigning copyright to FSF. 

 -- Andreas Metzler <ametzler@debian.org>  Sat, 05 Jan 2013 09:38:41 +0100

gnutls28 (3.1.5-1) experimental; urgency=low

  * New upstream version.
    + Drop 40_danetestfail.diff
    + Unfuzz 20_test-select.diff
    + Bump shlibs.

 -- Andreas Metzler <ametzler@debian.org>  Wed, 28 Nov 2012 19:23:10 +0100

gnutls28 (3.1.4-1) experimental; urgency=low

  * New upstream release.
    + Drop 40_fixtypo.diff.
    + debian/copyright: update upstream author list.
    + New symbols added, bump shlibs.
  * 40_danetestfail.diff - Do not try to run dane test without dane support.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 10 Nov 2012 09:21:41 +0100

gnutls28 (3.1.3-1) experimental; urgency=low

  * New upstream release.
  * Explicitly set --disable-libdane --without-tpm.
  * Bump shlibs.
  * 40_fixtypo.diff pulled from upstream git.
  * Update debian/copyright from AUTHORS.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 13 Oct 2012 15:52:09 +0200

gnutls28 (3.1.2-1) experimental; urgency=low

  * New upstream release.
    + Requires libtasn1-3 2.14, bump (b-)d.
    + New symbols added, bump shlibs.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 29 Sep 2012 08:13:47 +0200

gnutls28 (3.1.1-1) experimental; urgency=low

  * New upstream release.
    + Includes patch by Bernhard R. Link for gnutls-serv listening on ipv6.
      Closes: #686242
    + Drop superfluous patches. (40_debugtestsuite 41_use-errno.diff
      42_dump-the-errno.diff 43_possiblefix.diff)
    + Bump shlibs.
  * Sync version of libgnutls-dev dependency on nettle-dev with the
    build-dependency.


