=== debian/control ===
Source: gnutls28
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GnuTLS Maintainers <pkg-gnutls-maint@lists.alioth.debian.org>
Uploaders: Andreas Metzler <ametzler@debian.org>,
 Eric Dorland <eric@debian.org>,
 James Westby <jw+debian@jameswestby.net>,
 Simon Josefsson <simon@josefsson.org>
Build-Depends: debhelper (>= 9), nettle-dev (>= 2.7), zlib1g-dev,
 cdbs (>= 0.4.93), gtk-doc-tools, texinfo (>= 4.8),
 libtasn1-6-dev (>= 3.1), autotools-dev, guile-1.8-dev, datefudge,
 libp11-kit-dev (>= 0.11), pkg-config, chrpath, libidn11-dev,
 autogen (>= 1:5.16-0)
Build-Conflicts: libgnutls-dev
Standards-Version: 3.9.4
Vcs-Svn: svn://anonscm.debian.org/pkg-gnutls/packages/gnutls28/trunk
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnutls/packages/gnutls28/trunk/
Homepage: http://www.gnutls.org/

Package: libgnutls28-dev
Section: libdevel
Architecture: any
Provides: gnutls-dev
Depends: libgnutls28 (= ${binary:Version}), 
 libgnutlsxx28 (= ${binary:Version}), libgnutls-xssl0 (= ${binary:Version}),
 nettle-dev (>= 2.5), libc6-dev | libc-dev, zlib1g-dev,
 libtasn1-6-dev (>= 3.1), libp11-kit-dev (>= 0.11), ${misc:Depends}
# libgnutlsxx28 (= ${binary:Version}),libgnutls-openssl27 (= ${binary:Version}),
Suggests: gnutls-doc, gnutls-bin, guile-gnutls
Conflicts: gnutls-dev
Replaces: gnutls-dev
Multi-Arch: same
Description: GNU TLS library - development files
 GnuTLS is a portable library which implements the Transport Layer
 Security (TLS 1.0, 1.1, 1.2) and Secure Sockets Layer (SSL) 3.0 and Datagram
 Transport Layer Security (DTLS 1.0, 1.2) protocols.
 .
 GnuTLS features support for:
  - TLS extensions: server name indication, max record size, opaque PRF
    input, etc.
  - authentication using the SRP protocol.
  - authentication using both X.509 certificates and OpenPGP keys.
  - TLS Pre-Shared-Keys (PSK) extension.
  - Inner Application (TLS/IA) extension.
  - X.509 and OpenPGP certificate handling.
  - X.509 Proxy Certificates (RFC 3820).
  - all the strong encryption algorithms (including SHA-256/384/512 and
    Camellia (RFC 4132)).
 .
 This package contains the GnuTLS development files.

Package: libgnutls28
Priority: standard
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: gnutls0, gnutls3, gnutls0.4
Conflicts: gnutls0, gnutls0.4
Pre-Depends: ${misc:Pre-Depends}
Suggests: gnutls-bin
Multi-Arch: same
Description: GNU TLS library - main runtime library
 GnuTLS is a portable library which implements the Transport Layer
 Security (TLS 1.0, 1.1, 1.2) and Secure Sockets Layer (SSL) 3.0 and Datagram
 Transport Layer Security (DTLS 1.0, 1.2) protocols.
 .
 GnuTLS features support for:
  - TLS extensions: server name indication, max record size, opaque PRF
    input, etc.
  - authentication using the SRP protocol.
  - authentication using both X.509 certificates and OpenPGP keys.
  - TLS Pre-Shared-Keys (PSK) extension.
  - Inner Application (TLS/IA) extension.
  - X.509 and OpenPGP certificate handling.
  - X.509 Proxy Certificates (RFC 3820).
  - all the strong encryption algorithms (including SHA-256/384/512 and
    Camellia (RFC 4132)).
 .
 This package contains the main runtime library.

Package: libgnutls28-dbg
Priority: extra
Architecture: any
Section: debug
Depends: libgnutls28 (= ${binary:Version}), ${misc:Depends}
Conflicts: libgnutls13-dbg, libgnutls26-dbg
Multi-Arch: same
Description: GNU TLS library - debugger symbols
 GnuTLS is a portable library which implements the Transport Layer
 Security (TLS 1.0, 1.1, 1.2) and Secure Sockets Layer (SSL) 3.0 and Datagram
 Transport Layer Security (DTLS 1.0, 1.2) protocols.
 .
 This package contains the debugger symbols.

#Package: gnutls-bin
#Architecture: any
#Section: net
#Depends: ${shlibs:Depends}, ${misc:Depends}
#Multi-Arch: foreign
#Description: GNU TLS library - commandline utilities
# GnuTLS is a portable library which implements the Transport Layer
# Security (TLS 1.0, 1.1, 1.2) and Secure Sockets Layer (SSL) 3.0 and Datagram
# Transport Layer Security (DTLS 1.0, 1.2) protocols.
# .
# GnuTLS features support for:
#  - TLS extensions: server name indication, max record size, opaque PRF
#    input, etc.
#  - authentication using the SRP protocol.
#  - authentication using both X.509 certificates and OpenPGP keys.
#  - TLS Pre-Shared-Keys (PSK) extension.
#  - Inner Application (TLS/IA) extension.
#  - X.509 and OpenPGP certificate handling.
#  - X.509 Proxy Certificates (RFC 3820).
#  - all the strong encryption algorithms (including SHA-256/384/512 and
#    Camellia (RFC 4132)).
# .
# This package contains a commandline interface to the GNU TLS library, which
# can be used to set up secure connections from e.g. shell scripts, debugging
# connection issues or managing certificates.

#Package: gnutls-doc
#Architecture: all
#Section: doc
#Depends: ${misc:Depends}
#Multi-Arch: foreign
#Description: GNU TLS library - documentation and examples
# GnuTLS is a portable library which implements the Transport Layer
# Security (TLS 1.0, 1.1, 1.2) and Secure Sockets Layer (SSL) 3.0 and Datagram
# Transport Layer Security (DTLS 1.0, 1.2) protocols.
# .
# GnuTLS features support for:
#  - TLS extensions: server name indication, max record size, opaque PRF
#    input, etc.
#  - authentication using the SRP protocol.
#  - authentication using both X.509 certificates and OpenPGP keys.
#  - TLS Pre-Shared-Keys (PSK) extension.
#  - Inner Application (TLS/IA) extension.
#  - X.509 and OpenPGP certificate handling.
#  - X.509 Proxy Certificates (RFC 3820).
#  - all the strong encryption algorithms (including SHA-256/384/512 and
#    Camellia (RFC 4132)).
# .
# This package contains all the GnuTLS documentation.

Package: guile-gnutls
Architecture: any
Section: lisp
Depends: ${misc:Depends},${shlibs:Depends}, guile-1.8
Description: GNU TLS library - GNU Guile bindings
 GnuTLS is a portable library which implements the Transport Layer
 Security (TLS 1.0, 1.1, 1.2) and Secure Sockets Layer (SSL) 3.0 and Datagram
 Transport Layer Security (DTLS 1.0, 1.2) protocols.
 .
 GnuTLS features support for:
  - TLS extensions: server name indication, max record size, opaque PRF
    input, etc.
  - authentication using the SRP protocol.
  - authentication using both X.509 certificates and OpenPGP keys.
  - TLS Pre-Shared-Keys (PSK) extension.
  - Inner Application (TLS/IA) extension.
  - X.509 and OpenPGP certificate handling.
  - X.509 Proxy Certificates (RFC 3820).
  - all the strong encryption algorithms (including SHA-256/384/512 and
    Camellia (RFC 4132)).
 .
 This package contains the GNU Guile 1.8 modules.

Package: libgnutlsxx28
Priority: extra
Architecture: any
Depends: libgnutls28 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: GNU TLS library - C++ runtime library
 GnuTLS is a portable library which implements the Transport Layer
 Security (TLS 1.0, 1.1, 1.2) and Secure Sockets Layer (SSL) 3.0 and Datagram
 Transport Layer Security (DTLS 1.0, 1.2) protocols.
 .
 GnuTLS features support for:
  - TLS extensions: server name indication, max record size, opaque PRF
    input, etc.
  - authentication using the SRP protocol.
  - authentication using both X.509 certificates and OpenPGP keys.
  - TLS Pre-Shared-Keys (PSK) extension.
  - Inner Application (TLS/IA) extension.
  - X.509 and OpenPGP certificate handling.
  - X.509 Proxy Certificates (RFC 3820).
  - all the strong encryption algorithms (including SHA-256/384/512 and
    Camellia (RFC 4132)).
 .
 This package contains the C++ runtime libraries.

Package: libgnutls-xssl0
Priority: extra
Architecture: any
Depends: libgnutls28 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: GNU TLS library - XSSL API runtime library
 GnuTLS is a portable library which implements the Transport Layer
 Security (TLS 1.0, 1.1, 1.2) and Secure Sockets Layer (SSL) 3.0 and Datagram
 Transport Layer Security (DTLS 1.0, 1.2) protocols.
 .
 GnuTLS offers a simplified high-level API to GnuTLS. This API is currently
 marked experimental.

##Package: libgnutls-openssl27
##Priority: standard
##Architecture: any
##Depends: libgnutls28 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
##Pre-Depends: ${misc:Pre-Depends}
##Multi-Arch: same
##Description: GNU TLS library - OpenSSL wrapper
## GnuTLS is a portable library which implements the Transport Layer
## Security (TLS 1.0, 1.1, 1.2) and Secure Sockets Layer (SSL) 3.0 and Datagram
## Transport Layer Security (DTLS 1.0, 1.2) protocols.
## .
## GnuTLS features support for:
##  - TLS extensions: server name indication, max record size, opaque PRF
##    input, etc.
##  - authentication using the SRP protocol.
##  - authentication using both X.509 certificates and OpenPGP keys.
##  - TLS Pre-Shared-Keys (PSK) extension.
##  - Inner Application (TLS/IA) extension.
##  - X.509 and OpenPGP certificate handling.
##  - X.509 Proxy Certificates (RFC 3820).
##  - all the strong encryption algorithms (including SHA-256/384/512 and
##    Camellia (RFC 4132)).
## .
## This package contains the runtime library of the GnuTLS OpenSSL wrapper.
##
