=== debian/watch ===
version=3
opts=uversionmangle=s/(.*\d)(pre\d*)$/$1~$2/ \
ftp://ftp.gnutls.org/gcrypt/gnutls/v3.(\d+)/gnutls-(3\.\d.*)\.(?:tgz|zip|tar\.(?:gz|bz2|xz))
