## gnutls28 3.2.7

=== debian/changelog ===
gnutls28 (3.2.7-3) unstable; urgency=low

  * Point vcs* to git.
  * Upload to unstable, without libgnutls-openssl27.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 08 Dec 2013 18:15:43 +0100

gnutls28 (3.2.7-2) experimental; urgency=low

  * Fix kfreebsd FTBFS.
    + 45_add_strerror-module.patch add gnulib strerror module.
    + Use dh_autoreconf.

 -- Andreas Metzler <ametzler@debian.org>  Fri, 29 Nov 2013 19:10:39 +0100

gnutls28 (3.2.7-1) experimental; urgency=low

  * New upstream version.
    + Add b-d on bison.
    + Bump shlibs.
    + Drop 30_forcesystemlibopts.diff 50_Ignore-SIGPIPE.patch.
    + Simplify debian/rules, stop removing autogened files.

 -- Andreas Metzler <ametzler@debian.org>  Wed, 27 Nov 2013 19:30:00 +0100

gnutls28 (3.2.6-2) experimental; urgency=low

  * Print out test-suite.log on test-suite-error. (Thanks, Steven Chamberlain
    for the hint.)
  * 50_Ignore-SIGPIPE.patch - fix spurious FTBFS due to race condition.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 10 Nov 2013 13:54:49 +0100

gnutls28 (3.2.6-1) experimental; urgency=low

  * New upstream version.
    + Bump shlibs.

 -- Andreas Metzler <ametzler@debian.org>  Tue, 05 Nov 2013 19:25:51 +0100

gnutls28 (3.2.5-1) experimental; urgency=low

  * New upstream version.
    + Bump shlibs.
  * Ship examples/examples.h which is needed for building examples/*.c. Also
    add ex-cxx.cpp, while we are at it. (Thanks, Daniel Kahn Gillmor)
    Closes: #726971

 -- Andreas Metzler <ametzler@debian.org>  Sat, 26 Oct 2013 14:40:05 +0200

gnutls28 (3.2.4-5) experimental; urgency=low

  * Re-enable building of libgnutls-openssl27 binary package.
  * Let libgnutls-dev provide libgnutls-openssl-dev to prepare a seamless
    transition to gnutls28.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 06 Oct 2013 19:10:06 +0200

gnutls28 (3.2.4-4) unstable; urgency=low

  * 40_guilenoparallel.diff: Disable parallel build in
    guile/modules/.

 -- Andreas Metzler <ametzler@debian.org>  Mon, 09 Sep 2013 19:48:04 +0200

gnutls28 (3.2.4-3) unstable; urgency=low

  * Looks like "Architecture" in debian/control cannot be folded, unfold the
    respective entry for guile-gnutls.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 08 Sep 2013 08:03:27 +0200

gnutls28 (3.2.4-2) unstable; urgency=low

  * Manpages were missing on binary-only builds. Closes: #721725
  * Build with
    --with-default-trust-store-file=/etc/ssl/certs/ca-certificates.crt since
    ca-certificates not pulled in by build-dependencies anymore.
    Closes: #721726
  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 07 Sep 2013 08:10:17 +0200

gnutls28 (3.2.4-1) experimental; urgency=low

  * New upstream release.
    + Drop 40_Clean-up-after-test.patch.
  * Fix path to png files in info files with sed instead of symlinking images.
  * Bump shlibs.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 31 Aug 2013 19:02:33 +0200

gnutls28 (3.2.3-3) experimental; urgency=low

  * Switch to dh, to easily allow us to move gtk-doc-tools to
    Build-Depends-Indep. Closes: #682596

 -- Andreas Metzler <ametzler@debian.org>  Sun, 25 Aug 2013 10:25:52 +0200

gnutls28 (3.2.3-2) experimental; urgency=low

  * Build gnutls-guile against guile-2.0.
    + Drop --disable-largefile on armel armhf mipsel.
    + ia64 does not build guile-2.0, disable guile-support there.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 04 Aug 2013 13:28:13 +0200
