## gnutls28 3.2.11

=== debian/changelog ===
gnutls28 (3.2.11-2ubuntu1.1) trusty-security; urgency=medium

  [ Gianfranco Costamagna ]
  * SECURITY UPDATE: Denial of service and possible remote arbitrary code
    execution via crafted ServerHello message
    - debian/patches/21_CVE-2014-3466.patch: Add upper bounds check for
      session id size. Based on upstream patch. (LP: #1326779)

  [ Tyler Hicks ]
  * debian/patches/21_CVE-2014-3466.patch: Fold in the test for
    CVE-2014-3466's fix. Based on upstream patch.

 -- Tyler Hicks <tyhicks@canonical.com>  Thu, 11 Jun 2015 10:42:35 -0500

gnutls28 (3.2.11-2ubuntu1) trusty; urgency=medium

  * Resynchronise with Debian.  Remaining changes:
    - Drop gnutls-bin and -doc since we want to use the versions in gnutls26
      as the defaults instead.
  * Add arm64 and ppc64el to the list of non-ia64 architectures on which
    guile-gnutls is built.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 05 Mar 2014 10:31:28 +0000

gnutls28 (3.2.11-2) unstable; urgency=high

  * Bump version of Build-Depends on libp11-kit-dev, as required by 3.2.11.
  * 20_CVE-2014-0092.diff by Nikos Mavrogiannopoulos: Fix certificate
    validation issue. CVE-2014-0092

 -- Andreas Metzler <ametzler@debian.org>  Sat, 01 Mar 2014 08:48:21 +0100

gnutls28 (3.2.11-1) unstable; urgency=high

  * New upstream version. (Closes CVE-2014-1959 / GNUTLS-SA-2014-1)
  * Pull 20_bug-in-gnutls_pcert_list_import_x509_raw.patch from upstream git.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 15 Feb 2014 14:38:52 +0100

gnutls28 (3.2.10-2) unstable; urgency=high

  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 02 Feb 2014 12:10:16 +0100

gnutls28 (3.2.10-1) experimental; urgency=high

  * New upstream version.
  * New symbols exported, bump shlibs.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 01 Feb 2014 09:22:36 +0100

gnutls28 (3.2.9-2) unstable; urgency=medium

  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Wed, 29 Jan 2014 19:05:05 +0100

gnutls28 (3.2.9-1) experimental; urgency=medium

  * New upstream version.
    + %COMPAT implies %DUMBFW. (See #733039)
  * Drop 40_guilenoparallel.diff, which did not have any effect after enabling
    dh_autoreconf.
  * Stop dh_clean from removing *.bak, upstream tarball actually contains
    files named such in src/ subdirectory.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 25 Jan 2014 19:00:11 +0100

gnutls28 (3.2.8.1-3) unstable; urgency=medium

  * Correct c'n'p error in Vcs-Git field.
  * Update debian/copyright from upstream's README. (Thanks, Kurt Roeckx)

 -- Andreas Metzler <ametzler@debian.org>  Sun, 19 Jan 2014 13:23:46 +0100

gnutls28 (3.2.8.1-2) unstable; urgency=low

  * Upload to unstable, without libgnutls-openssl27.

 -- Andreas Metzler <ametzler@debian.org>  Fri, 27 Dec 2013 15:45:39 +0100

gnutls28 (3.2.8.1-1) experimental; urgency=low

  * New upstream version.
    + Drop debian/patches/45_add_strerror-module.patch, which was pulled from
      upstream.
    + Bump shlibs.
  * Add debian/upstream-signing-key.pgp (listed in
    debian/source/include-binaries) and update watchfile to check
    upstream signature.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 21 Dec 2013 16:59:19 +0100

gnutls28 (3.2.7-4) experimental; urgency=low

  * Upload to experimental, with libgnutls-openssl27.
  * Version libgnutls-openssl27 shlibs. (Mainly to identify rebuilt packages.)

 -- Andreas Metzler <ametzler@debian.org>  Sun, 08 Dec 2013 18:43:16 +0100

gnutls28 (3.2.3-1ubuntu2) trusty; urgency=medium

  * Fix detection of floating point endianness.
  * Use dh-autoreconf to update libtool.m4 for new ports.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 05 Feb 2014 05:17:52 +0000
