=== debian/control ===
--- 
+++ 
@@ -1,19 +1,20 @@
 Source: gnutls28
 Section: libs
 Priority: optional
-Maintainer: Debian GnuTLS Maintainers <pkg-gnutls-maint@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GnuTLS Maintainers <pkg-gnutls-maint@lists.alioth.debian.org>
 Uploaders: Andreas Metzler <ametzler@debian.org>,
  Eric Dorland <eric@debian.org>,
  James Westby <jw+debian@jameswestby.net>,
  Simon Josefsson <simon@josefsson.org>
 Build-Depends: debhelper (>= 9), nettle-dev (>= 2.7), zlib1g-dev,
  libtasn1-6-dev (>= 3.1), autotools-dev, guile-2.0-dev [!ia64], datefudge,
- libp11-kit-dev (>= 0.11), pkg-config, chrpath, libidn11-dev,
+ libp11-kit-dev (>= 0.20), pkg-config, chrpath, libidn11-dev,
  autogen (>= 1:5.16-0), bison, dh-autoreconf
 Build-Depends-Indep: gtk-doc-tools, texinfo (>= 4.8)
 Build-Conflicts: libgnutls-dev
 Standards-Version: 3.9.5
-Vcs-Git: git://anonscm.debian.org/pkg-phototools/gnutls.git
+Vcs-Git: git://anonscm.debian.org/pkg-gnutls/gnutls.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-gnutls/gnutls.git
 Homepage: http://www.gnutls.org/
 
@@ -21,7 +22,6 @@
 Section: libdevel
 Architecture: any
 Provides: gnutls-dev
-# Provides: gnutls-dev, libgnutls-openssl-dev
 Depends: libgnutls28 (= ${binary:Version}), 
  libgnutlsxx28 (= ${binary:Version}), libgnutls-xssl0 (= ${binary:Version}),
  nettle-dev (>= 2.5), libc6-dev | libc-dev, zlib1g-dev,
@@ -92,59 +92,59 @@
  .
  This package contains the debugger symbols.
 
-Package: gnutls-bin
-Architecture: any
-Section: net
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Multi-Arch: foreign
-Description: GNU TLS library - commandline utilities
- GnuTLS is a portable library which implements the Transport Layer
- Security (TLS 1.0, 1.1, 1.2) and Secure Sockets Layer (SSL) 3.0 and Datagram
- Transport Layer Security (DTLS 1.0, 1.2) protocols.
- .
- GnuTLS features support for:
-  - TLS extensions: server name indication, max record size, opaque PRF
-    input, etc.
-  - authentication using the SRP protocol.
-  - authentication using both X.509 certificates and OpenPGP keys.
-  - TLS Pre-Shared-Keys (PSK) extension.
-  - Inner Application (TLS/IA) extension.
-  - X.509 and OpenPGP certificate handling.
-  - X.509 Proxy Certificates (RFC 3820).
-  - all the strong encryption algorithms (including SHA-256/384/512 and
-    Camellia (RFC 4132)).
- .
- This package contains a commandline interface to the GNU TLS library, which
- can be used to set up secure connections from e.g. shell scripts, debugging
- connection issues or managing certificates.
-
-Package: gnutls-doc
-Architecture: all
-Section: doc
-Depends: ${misc:Depends}
-Multi-Arch: foreign
-Description: GNU TLS library - documentation and examples
- GnuTLS is a portable library which implements the Transport Layer
- Security (TLS 1.0, 1.1, 1.2) and Secure Sockets Layer (SSL) 3.0 and Datagram
- Transport Layer Security (DTLS 1.0, 1.2) protocols.
- .
- GnuTLS features support for:
-  - TLS extensions: server name indication, max record size, opaque PRF
-    input, etc.
-  - authentication using the SRP protocol.
-  - authentication using both X.509 certificates and OpenPGP keys.
-  - TLS Pre-Shared-Keys (PSK) extension.
-  - Inner Application (TLS/IA) extension.
-  - X.509 and OpenPGP certificate handling.
-  - X.509 Proxy Certificates (RFC 3820).
-  - all the strong encryption algorithms (including SHA-256/384/512 and
-    Camellia (RFC 4132)).
- .
- This package contains all the GnuTLS documentation.
+#Package: gnutls-bin
+#Architecture: any
+#Section: net
+#Depends: ${shlibs:Depends}, ${misc:Depends}
+#Multi-Arch: foreign
+#Description: GNU TLS library - commandline utilities
+# GnuTLS is a portable library which implements the Transport Layer
+# Security (TLS 1.0, 1.1, 1.2) and Secure Sockets Layer (SSL) 3.0 and Datagram
+# Transport Layer Security (DTLS 1.0, 1.2) protocols.
+# .
+# GnuTLS features support for:
+#  - TLS extensions: server name indication, max record size, opaque PRF
+#    input, etc.
+#  - authentication using the SRP protocol.
+#  - authentication using both X.509 certificates and OpenPGP keys.
+#  - TLS Pre-Shared-Keys (PSK) extension.
+#  - Inner Application (TLS/IA) extension.
+#  - X.509 and OpenPGP certificate handling.
+#  - X.509 Proxy Certificates (RFC 3820).
+#  - all the strong encryption algorithms (including SHA-256/384/512 and
+#    Camellia (RFC 4132)).
+# .
+# This package contains a commandline interface to the GNU TLS library, which
+# can be used to set up secure connections from e.g. shell scripts, debugging
+# connection issues or managing certificates.
+
+#Package: gnutls-doc
+#Architecture: all
+#Section: doc
+#Depends: ${misc:Depends}
+#Multi-Arch: foreign
+#Description: GNU TLS library - documentation and examples
+# GnuTLS is a portable library which implements the Transport Layer
+# Security (TLS 1.0, 1.1, 1.2) and Secure Sockets Layer (SSL) 3.0 and Datagram
+# Transport Layer Security (DTLS 1.0, 1.2) protocols.
+# .
+# GnuTLS features support for:
+#  - TLS extensions: server name indication, max record size, opaque PRF
+#    input, etc.
+#  - authentication using the SRP protocol.
+#  - authentication using both X.509 certificates and OpenPGP keys.
+#  - TLS Pre-Shared-Keys (PSK) extension.
+#  - Inner Application (TLS/IA) extension.
+#  - X.509 and OpenPGP certificate handling.
+#  - X.509 Proxy Certificates (RFC 3820).
+#  - all the strong encryption algorithms (including SHA-256/384/512 and
+#    Camellia (RFC 4132)).
+# .
+# This package contains all the GnuTLS documentation.
 
 Package: guile-gnutls
 # everything except ia64 - Field must be single line, unfolded!
-Architecture: amd64 armel armhf i386 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc s390 s390x sparc hurd-i386
+Architecture: amd64 arm64 armel armhf i386 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc ppc64el s390 s390x sparc hurd-i386
 Section: lisp
 Depends: ${misc:Depends},${shlibs:Depends}, guile-2.0
 Description: GNU TLS library - GNU Guile bindings
@@ -205,28 +205,28 @@
  GnuTLS offers a simplified high-level API to GnuTLS. This API is currently
  marked experimental.
 
-# Package: libgnutls-openssl27
-# Priority: standard
-# Architecture: any
-# Depends: libgnutls28 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
-# Pre-Depends: ${misc:Pre-Depends}
-# Multi-Arch: same
-# Description: GNU TLS library - OpenSSL wrapper
-#  GnuTLS is a portable library which implements the Transport Layer
-#  Security (TLS 1.0, 1.1, 1.2) and Secure Sockets Layer (SSL) 3.0 and Datagram
-#  Transport Layer Security (DTLS 1.0, 1.2) protocols.
-#  .
-#  GnuTLS features support for:
-#   - TLS extensions: server name indication, max record size, opaque PRF
-#     input, etc.
-#   - authentication using the SRP protocol.
-#   - authentication using both X.509 certificates and OpenPGP keys.
-#   - TLS Pre-Shared-Keys (PSK) extension.
-#   - Inner Application (TLS/IA) extension.
-#   - X.509 and OpenPGP certificate handling.
-#   - X.509 Proxy Certificates (RFC 3820).
-#   - all the strong encryption algorithms (including SHA-256/384/512 and
-#     Camellia (RFC 4132)).
-#  .
-#  This package contains the runtime library of the GnuTLS OpenSSL wrapper.
-
+#Package: libgnutls-openssl27
+#Priority: standard
+#Architecture: any
+#Depends: libgnutls28 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+#Pre-Depends: ${misc:Pre-Depends}
+#Multi-Arch: same
+#Description: GNU TLS library - OpenSSL wrapper
+# GnuTLS is a portable library which implements the Transport Layer
+# Security (TLS 1.0, 1.1, 1.2) and Secure Sockets Layer (SSL) 3.0 and Datagram
+# Transport Layer Security (DTLS 1.0, 1.2) protocols.
+# .
+# GnuTLS features support for:
+#  - TLS extensions: server name indication, max record size, opaque PRF
+#    input, etc.
+#  - authentication using the SRP protocol.
+#  - authentication using both X.509 certificates and OpenPGP keys.
+#  - TLS Pre-Shared-Keys (PSK) extension.
+#  - Inner Application (TLS/IA) extension.
+#  - X.509 and OpenPGP certificate handling.
+#  - X.509 Proxy Certificates (RFC 3820).
+#  - all the strong encryption algorithms (including SHA-256/384/512 and
+#    Camellia (RFC 4132)).
+# .
+# This package contains the runtime library of the GnuTLS OpenSSL wrapper.
+
