=== debian/rules ===
--- 
+++ 
@@ -28,9 +28,9 @@
 
 
 override_dh_makeshlibs:
-	dh_makeshlibs -p libgnutlsxx28 -V 'libgnutlsxx28 (>= 3.2.7-0)'
-	dh_makeshlibs -p libgnutls28  -V 'libgnutls28 (>= 3.2.7-0)'
-	#dh_makeshlibs -p libgnutls-openssl27 -V 'libgnutls-openssl27 (>= 3.0-0)'
+	dh_makeshlibs -p libgnutlsxx28 -V 'libgnutlsxx28 (>= 3.2.10-0)'
+	dh_makeshlibs -p libgnutls28  -V 'libgnutls28 (>= 3.2.10-0)'
+#	dh_makeshlibs -p libgnutls-openssl27 -V 'libgnutls-openssl27 (>= 3.0-0)'
 	dh_makeshlibs --remaining-packages -Xguile/2.0/guile-gnutls-v-2.so
 
 
@@ -106,5 +106,8 @@
 		echo "----dh_auto_test.fail" ; echo $$i ; echo ---- ; \
 		cat $$i ; echo ; done ; rm -f dh_auto_test.fail; false; fi
 
+override_dh_clean:
+	dh_clean -X.bak
+
 %:
 	dh $@ --parallel --with autoreconf
